const axios = require('axios');
export default {
    queryPageable(data, page, size, callback) {
        axios.post('/api/wordBank/queryPageable/' + page + '/' + size, data).then((response) => {
            callback(response);
        })
    },
    deleteByIds(data, callback) {
        axios.post('/api/wordBank/deleteByIds', data).then((response) => {
            callback(response);
        }).catch((error) => {
            console.log(error)
        })
    },
    update(data, callback) {
        axios.post('/api/wordBank/update', data).then((response) => {
            callback(response);
        }).catch((error) => {
            console.log(error)
        })
    },
    add(data, callback) {
        axios.post('/api/wordBank/add', data).then((response) => {
            callback(response);
        }).catch((error) => {
            console.log(error)
        })
    },

}